<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CommerceAccountDisplayContext commerceAccountDisplayContext = (CommerceAccountDisplayContext)request.getAttribute(CommerceAccountWebKeys.COMMERCE_ACCOUNT_DISPLAY_CONTEXT);

portletDisplay.setShowBackIcon(true);
portletDisplay.setURLBack(String.valueOf(renderResponse.createRenderURL()));

renderResponse.setTitle((commerceAccountDisplayContext.getAccountEntryId() == 0) ? LanguageUtil.get(request, "add-account") : LanguageUtil.format(request, "edit-x", commerceAccountDisplayContext.getName(), false));
%>

<liferay-frontend:edit-form>
	<liferay-frontend:edit-form-body>
		<h2 class="sheet-title">
			<liferay-ui:message key="channel-defaults" />
		</h2>

		<liferay-util:dynamic-include key="com.liferay.commerce.account.web#/account_entry/channel_defaults.jsp#commerce_addresses" />

		<liferay-util:dynamic-include key="com.liferay.commerce.account.web#/account_entry/channel_defaults.jsp#terms" />

		<%@ include file="/account_entry/commerce_shipping_options/default_commerce_shipping_options.jspf" %>

		<liferay-util:dynamic-include key="com.liferay.commerce.account.web#/account_entry/channel_defaults.jsp#price_lists" />

		<liferay-util:dynamic-include key="com.liferay.commerce.account.web#/account_entry/channel_defaults.jsp#discounts" />

		<liferay-util:dynamic-include key="com.liferay.commerce.account.web#/account_entry/channel_defaults.jsp#currencies" />

		<liferay-util:dynamic-include key="com.liferay.commerce.account.web#/account_entry/channel_defaults.jsp#payment_methods" />

		<%@ include file="/account_entry/users/default_users.jspf" %>
	</liferay-frontend:edit-form-body>
</liferay-frontend:edit-form>