<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CommercePriceListDisplayContext commercePriceListDisplayContext = (CommercePriceListDisplayContext)request.getAttribute(WebKeys.PORTLET_DISPLAY_CONTEXT);

long commercePriceListId = commercePriceListDisplayContext.getCommercePriceListId();
%>

<c:if test="<%= commercePriceListDisplayContext.hasPermission(commercePriceListId, ActionKeys.UPDATE) %>">
	<div class="pt-4">
		<frontend-data-set:classic-display
			contextParams='<%=
				HashMapBuilder.<String, String>put(
					"commercePriceListId", String.valueOf(commercePriceListId)
				).build()
			%>'
			creationMenu="<%= commercePriceListDisplayContext.getPriceModifiersCreationMenu() %>"
			dataProviderKey="<%= CommercePricingFDSNames.PRICE_MODIFIERS %>"
			formName="fm"
			id="<%= CommercePricingFDSNames.PRICE_MODIFIERS %>"
			itemsPerPage="<%= 10 %>"
			style="stacked"
		/>
	</div>
</c:if>