<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CPDefinitionsDisplayContext cpDefinitionsDisplayContext = (CPDefinitionsDisplayContext)request.getAttribute(WebKeys.PORTLET_DISPLAY_CONTEXT);

CProduct cProduct = cpDefinitionsDisplayContext.getCProduct();
%>

<portlet:actionURL name="/cp_definitions/edit_c_product_external_reference_code" var="editCProductExternalReferenceCodeURL" />

<commerce-ui:modal-content>
	<aui:form action="<%= editCProductExternalReferenceCodeURL %>" cssClass="container-fluid container-fluid-max-xl p-0" method="post" name="fm">
		<aui:input name="redirect" type="hidden" value="<%= currentURL %>" />
		<aui:input name="cProductId" type="hidden" value="<%= cProduct.getCProductId() %>" />

		<aui:model-context bean="<%= cProduct %>" model="<%= CProduct.class %>" />

		<aui:input name="externalReferenceCode" type="text" value="<%= cProduct.getExternalReferenceCode() %>" wrapperCssClass="form-group-item" />
	</aui:form>
</commerce-ui:modal-content>