<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CPOptionDisplayContext cpOptionDisplayContext = (CPOptionDisplayContext)request.getAttribute(WebKeys.PORTLET_DISPLAY_CONTEXT);
%>

<div class="pt-4" id="<portlet:namespace />optionsContainer">
	<div class="container-fluid container-fluid-max-xl">
		<frontend-data-set:headless-display
			apiURL="/o/headless-commerce-admin-catalog/v1.0/options"
			creationMenu="<%= cpOptionDisplayContext.getCreationMenu() %>"
			fdsActionDropdownItems="<%= cpOptionDisplayContext.getOptionFDSActionDropdownItems() %>"
			id="<%= CommerceOptionFDSNames.OPTIONS %>"
			itemsPerPage="<%= 10 %>"
			style="stacked"
		/>
	</div>
</div>