<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
User selUser = (User)request.getAttribute(UsersAdminWebKeys.SELECTED_USER);
%>

<aui:input name="<%= Constants.CMD %>" type="hidden" value="<%= (selUser == null) ? Constants.ADD : Constants.UPDATE %>" />

<div aria-labelledby="<portlet:namespace />userDisplayData" class="form-group" role="group">
	<div class="sheet-subtitle" id="<portlet:namespace />userDisplayData">
		<liferay-ui:message key="user-display-data" />
	</div>

	<liferay-util:include page="/user/user_display_data.jsp" servletContext="<%= application %>" />
</div>

<div aria-labelledby="<portlet:namespace />personalInformation" class="form-group" role="group">
	<div class="sheet-subtitle" id="<portlet:namespace />personalInformation">
		<liferay-ui:message key="personal-information" />
	</div>

	<liferay-util:include page="/user/personal_information.jsp" servletContext="<%= application %>" />
</div>

<clay:sheet-section>
	<div class="sheet-subtitle"><liferay-ui:message key="more-information" /></div>

	<div class="form-group">
		<liferay-util:include page="/user/categorization.jsp" servletContext="<%= application %>" />
	</div>

	<div class="form-group">
		<liferay-util:include page="/user/comments.jsp" servletContext="<%= application %>" />
	</div>
</clay:sheet-section>

<clay:sheet-section>
	<liferay-util:include page="/user/custom_fields.jsp" servletContext="<%= application %>" />
</clay:sheet-section>