<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<clay:sheet-section>
	<h3 class="sheet-subtitle"><liferay-ui:message key="theme-css-client-extension" /></h3>

	<clay:alert
		displayType="info"
		message='<%= LanguageUtil.get(request, "by-replacing-the-css-completely-you-will-be-overriding-all-the-declared-design-tokens-and-css-variables") %>'
	/>

	<p>
		<liferay-ui:message key="use-this-client-extension-to-fully-replace-the-default-css-contained-in-the-theme" />
	</p>

	<div>
		<react:component
			module="js/ThemeCSSReplacementSelector"
			props="<%= layoutsAdminDisplayContext.getThemeCSSReplacementSelectorProps() %>"
		/>
	</div>
</clay:sheet-section>