<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CommerceOrder commerceOrder = commerceOrderContentDisplayContext.getCommerceOrder();

long deliveryCommerceTermEntryId = commerceOrder.getDeliveryCommerceTermEntryId();
%>

<commerce-ui:modal-content
	showSubmitButton="<%= false %>"
	title='<%= LanguageUtil.get(request, "delivery-terms") %>'
>
	<label class="control-label <%= (deliveryCommerceTermEntryId == 0) ? " d-none" : "" %>" id="name-label"><liferay-ui:message key="name" /></label>

	<div>
		<%= commerceOrder.getDeliveryCommerceTermEntryName() %>
	</div>

	<label class="control-label <%= (deliveryCommerceTermEntryId == 0) ? " d-none" : "" %>" id="description-label"><liferay-ui:message key="description" /></label>

	<div id="description-container">
		<%= commerceOrder.getDeliveryCommerceTermEntryDescription() %>
	</div>
</commerce-ui:modal-content>