<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CommerceOrderImporterType commerceOrderImporterType = commerceOrderContentDisplayContext.getCommerceOrderImporterType(ParamUtil.getString(request, "commerceOrderImporterTypeKey"));
%>

<c:choose>
	<c:when test="<%= request.getAttribute(CommerceWebKeys.COMMERCE_ORDER_IMPORTER_ITEM) != null %>">

		<%
		commerceOrderImporterType.renderCommerceOrderPreview(commerceOrderContentDisplayContext.getCommerceOrder(), request, PipingServletResponseFactory.createPipingServletResponse(pageContext));
		%>

	</c:when>
	<c:when test="<%= commerceOrderImporterType != null %>">

		<%
		commerceOrderImporterType.render(commerceOrderContentDisplayContext.getCommerceOrder(), request, PipingServletResponseFactory.createPipingServletResponse(pageContext));
		%>

	</c:when>
</c:choose>