<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CommerceInventoryWarehousesDisplayContext commerceInventoryWarehousesDisplayContext = (CommerceInventoryWarehousesDisplayContext)request.getAttribute(WebKeys.PORTLET_DISPLAY_CONTEXT);
%>

<portlet:actionURL name="/commerce_inventory_warehouse/edit_commerce_inventory_warehouse" var="editCommerceInventoryWarehouseActionURL" />

<commerce-ui:modal-content
	title='<%= LanguageUtil.get(request, "add-warehouse") %>'
>
	<aui:form method="post" name="fm">
		<aui:input bean="<%= commerceInventoryWarehousesDisplayContext.getCommerceInventoryWarehouse() %>" label="name" model="<%= CommerceInventoryWarehouse.class %>" name="name" required="<%= true %>" />
	</aui:form>

	<liferay-frontend:component
		context='<%=
			HashMapBuilder.<String, Object>put(
				"defaultLanguageId", themeDisplay.getLanguageId()
			).put(
				"editCommerceInventoryWarehousePortletURL", String.valueOf(commerceInventoryWarehousesDisplayContext.getEditCommerceWarehouseRenderURL())
			).build()
		%>'
		module="js/addCommerceInventoryWarehouse"
	/>
</commerce-ui:modal-content>