<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CommerceInventoryWarehousesDisplayContext commerceInventoryWarehousesDisplayContext = (CommerceInventoryWarehousesDisplayContext)request.getAttribute(WebKeys.PORTLET_DISPLAY_CONTEXT);

CommerceInventoryWarehouse commerceInventoryWarehouse = commerceInventoryWarehousesDisplayContext.getCommerceInventoryWarehouse();
%>

<liferay-portlet:renderURL var="editCommerceInventoryWarehouseExternalReferenceCodeURL" windowState="<%= LiferayWindowState.POP_UP.toString() %>">
	<portlet:param name="mvcRenderCommandName" value="/commerce_inventory_warehouse/edit_commerce_inventory_warehouse_external_reference_code" />
	<portlet:param name="commerceInventoryWarehouseId" value="<%= String.valueOf(commerceInventoryWarehouse.getCommerceInventoryWarehouseId()) %>" />
</liferay-portlet:renderURL>

<commerce-ui:header
	actions="<%= commerceInventoryWarehousesDisplayContext.getHeaderActionModels() %>"
	bean="<%= commerceInventoryWarehouse %>"
	beanIdLabel="id"
	externalReferenceCode="<%= commerceInventoryWarehouse.getExternalReferenceCode() %>"
	externalReferenceCodeEditUrl="<%= editCommerceInventoryWarehouseExternalReferenceCodeURL %>"
	model="<%= CommerceInventoryWarehouse.class %>"
	title="<%= commerceInventoryWarehouse.getName(locale) %>"
/>

<liferay-frontend:screen-navigation
	containerWrapperCssClass="container"
	key="<%= CommerceInventoryWarehouseScreenNavigationConstants.SCREEN_NAVIGATION_KEY_COMMERCE_INVENTORY_WAREHOUSE_GENERAL %>"
	modelBean="<%= commerceInventoryWarehouse %>"
	portletURL="<%= currentURLObj %>"
/>