<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<portlet:actionURL name="/server_admin/edit_server" var="actionURL" />

<portlet:renderURL var="redirectURL" />

<aui:form action="<%= actionURL %>" cssClass="sheet-lg" method="post" name="fm">
	<aui:input name="<%= Constants.CMD %>" type="hidden" value="updateMail" />
	<aui:input name="redirect" type="hidden" value="<%= currentURL %>" />

	<div class="sheet">
		<div class="panel-group panel-group-flush">
			<h2>
				<liferay-ui:message key="mail-settings" />
			</h2>

			<liferay-util:include page="/mail_fields.jsp" servletContext="<%= application %>">
				<liferay-util:param name="preferencesCompanyId" value="<%= String.valueOf(company.getCompanyId()) %>" />
			</liferay-util:include>

			<clay:sheet-footer>
				<div class="btn-group">
					<div class="btn-group-item">
						<aui:button cssClass="save-server-button" type="submit" value="save" />
					</div>

					<div class="btn-group-item">
						<aui:button href="<%= redirectURL %>" type="cancel" />
					</div>
				</div>
			</clay:sheet-footer>
		</div>
	</div>
</aui:form>