<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
Organization organization = ActionUtil.getOrganization(renderRequest);

String backURL = String.valueOf(renderRequest.getAttribute("view.jsp-backURL"));

if (Validator.isNull(backURL)) {
	backURL = UsersAdminPortletURLUtil.createParentOrganizationViewTreeURL(organization.getOrganizationId(), renderResponse);
}
%>

<aui:script>
	Liferay.Util.setPortletConfigurationIconAction(
		'<portlet:namespace />deleteOrganization',
		() => {
			<portlet:namespace />deleteOrganization(
				'<%= organization.getOrganizationId() %>',
				'<%= HtmlUtil.escapeJS(backURL) %>'
			);
		}
	);
</aui:script>